Get a report
curl --request GET \
--url 'https://www.thereviewport.com/api/reports/{id}?apiKey='import requests
url = "https://www.thereviewport.com/api/reports/{id}?apiKey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.thereviewport.com/api/reports/{id}?apiKey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"guid": "<string>",
"title": "<string>",
"summary": "<string>",
"preview": {},
"publishedDate": "2023-11-07T05:31:56Z",
"region": "<string>",
"issueType": "<string>",
"issueVersion": "<string>",
"isFeatured": true,
"images": {
"header": "<string>",
"thumbnail": "<string>"
},
"manager": {
"id": "<string>",
"guid": "<string>",
"name": "<string>",
"logo": "<string>"
},
"issuer": {
"id": "<string>",
"guid": "<string>",
"name": "<string>",
"logo": "<string>"
},
"retentionHolder": {},
"tags": [
{
"id": "<string>",
"label": "<string>",
"slug": "<string>"
}
],
"sourceDoc": {},
"content": {
"highlights": "<string>",
"keyConsiderations": "<string>",
"firstLook": "<string>",
"body": "<string>"
},
"links": {
"self": "<string>",
"web": "<string>",
"embed": "<string>"
}
}{
"error": "API key required. Provide via query ?apiKey=... or header x-api-key."
}{
"error": "Access to reports is not permitted for this API key."
}{
"error": "Report not found"
}{
"error": "Rate limit exceeded. Try again later."
}Reports
Get a report
Retrieve a single report by GUID or ObjectId.
GET
/
reports
/
{id}
Get a report
Authorizations
ApiKeyQueryApiKeyHeader
API key passed as query parameter
Path Parameters
Report GUID or ObjectId
Query Parameters
Include full body content
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
